<?xml version="1.0" encoding="utf-8"?>
<com.google.android.material.circularreveal.CircularRevealFrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <FrameLayout
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ScrollView
            android:id="@+id/swipeContainer"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="@dimen/fab_margin"
            android:layout_marginLeft="@dimen/fab_margin"
            android:layout_marginEnd="@dimen/fab_margin"
            android:layout_marginRight="@dimen/fab_margin"
            android:layout_marginBottom="20dp"
            android:paddingLeft="@dimen/drawer_padding"
            android:paddingRight="@dimen/drawer_padding"
            android:scrollbars="none"
            tools:ignore="UselessParent">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:paddingLeft="@dimen/fab_margin"
                android:paddingRight="@dimen/fab_margin"
                tools:ignore="UselessParent">

                <!--  HIDE MENU -->
                <LinearLayout
                    android:id="@+id/settings_hide_menu"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_margin="10dp"
                            android:layout_weight="1"
                            android:background="?colorAccent" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="@string/communication_menu_title"
                            android:textColor="?colorAccent"
                            android:textSize="16sp" />

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_margin="10dp"
                            android:layout_weight="1"
                            android:background="?colorAccent" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/settings_option_margin"
                        android:layout_marginBottom="@dimen/settings_option_margin"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:layout_weight="1"
                            android:text="@string/action_news"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/nav_news"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content" />

                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/settings_option_margin"
                        android:layout_marginBottom="@dimen/settings_option_margin"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:layout_weight="1"
                            android:text="@string/action_trends"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/nav_trends"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/settings_option_margin"
                        android:layout_marginBottom="@dimen/settings_option_margin"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:layout_weight="1"
                            android:text="@string/action_lists"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/nav_list"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/settings_option_margin"
                        android:layout_marginBottom="@dimen/settings_option_margin"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:layout_weight="1"
                            android:text="@string/scheduled_toots"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/nav_scheduled"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/settings_option_margin"
                        android:layout_marginBottom="@dimen/settings_option_margin"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:layout_weight="1"
                            android:text="@string/owner_cached_toots"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/nav_archive"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/settings_option_margin"
                        android:layout_marginBottom="@dimen/settings_option_margin"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:layout_weight="1"
                            android:text="@string/owner_cached_notifications"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/nav_archive_notifications"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/settings_option_margin"
                        android:layout_marginBottom="@dimen/settings_option_margin"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:layout_weight="1"
                            android:text="@string/peertube_favorites"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/nav_peertube"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/settings_option_margin"
                        android:layout_marginBottom="@dimen/settings_option_margin"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:layout_weight="1"
                            android:text="@string/filters"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/nav_filters"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/settings_option_margin"
                        android:layout_marginBottom="@dimen/settings_option_margin"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:layout_weight="1"
                            android:text="@string/how_to_follow"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/nav_who_to_follow"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content" />

                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_margin="10dp"
                            android:layout_weight="1"
                            android:background="?colorAccent" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="@string/neutral_menu_title"
                            android:textColor="?colorAccent"
                            android:textSize="16sp" />

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_margin="10dp"
                            android:layout_weight="1"
                            android:background="?colorAccent" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/settings_option_margin"
                        android:layout_marginBottom="@dimen/settings_option_margin"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:layout_weight="1"
                            android:text="@string/blocked_menu"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/nav_blocked"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/settings_option_margin"
                        android:layout_marginBottom="@dimen/settings_option_margin"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:layout_weight="1"
                            android:text="@string/muted_menu"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/nav_muted"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/settings_option_margin"
                        android:layout_marginBottom="@dimen/settings_option_margin"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:layout_weight="1"
                            android:text="@string/blocked_domains"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/nav_blocked_domains"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content" />

                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_margin="10dp"
                            android:layout_weight="1"
                            android:background="?colorAccent" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:text="@string/neutral_menu_information"
                            android:textColor="?colorAccent"
                            android:textSize="16sp" />

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_margin="10dp"
                            android:layout_weight="1"
                            android:background="?colorAccent" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/settings_option_margin"
                        android:layout_marginBottom="@dimen/settings_option_margin"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:layout_weight="1"
                            android:text="@string/how_to_videos"
                            android:textSize="16sp" />

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/nav_how_to"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content" />

                    </LinearLayout>


                    <Button
                        android:id="@+id/validate"
                        style="@style/colored_button"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/validate" />

                </LinearLayout>

            </LinearLayout>
        </ScrollView>

    </FrameLayout>
</com.google.android.material.circularreveal.CircularRevealFrameLayout>
